### Method

# Gtk RecentManageradd_full

#### Declaration [src]

    gboolean
    gtk_recent_manager_add_full (
      GtkRecentManager* manager,
      const char* uri,
      const GtkRecentData* recent_data
    )

#### Description [src]

Adds a new resource, pointed by `uri`, into the recently used resources list, using the metadata specified inside the `GtkRecentData` passed in `recent_data`.

The passed URI will be used to identify this resource inside the list.

In order to register the new recently used resource, metadata about the resource must be passed as well as the URI; the metadata is stored in a `GtkRecentData`, which must contain the MIME type of the resource pointed by the URI; the name of the application that is registering the item, and a command line to be used when launching the item.

Optionally, a `GtkRecentData` might contain a UTF-8 string to be used when viewing the item instead of the last component of the URI; a short description of the item; whether the item should be considered private - that is, should be displayed only by the applications that have registered it.

#### Parameters

`uri`

  Type: `const char*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`recent_data`

  Type: `GtkRecentData`

  Metadata of the resource.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the new item was successfully added to the recently used resources list, `FALSE` otherwise.